<!-- @reg -->
<div class="" style="text-align: center;width:100%">
<?php

extract($_POST);

if(!isset($step) || $step*1==0 || $step=="") $step = 1;
$modereg = $modreg = $tiporeg = 1;

if($azione=="attiva") {
	
	 require_once $incpath."contents/reg_attiva.php";
	
} elseif($azione=="conferma") {
	
	 require_once $incpath."contents/reg_conferma.php";
	
} else {

# province
$option_province = '';
$sql="SELECT * FROM province ORDER BY nome_provincia; ";
$dbDati->Set_Sql($sql);
$province = $dbDati->DoSelect();

foreach($province as $k => $row){
        $option_province .= "\r\n".'<option value="'.$row['codice_provincia'].'">'.utf8_encode($row['nome_provincia']).'</option>';
}
$sql="SELECT * FROM regioni  ";
$dbDati->Set_Sql($sql);
$regioni = $dbDati->DoSelect();


$stepstart = 1;

#echo $step." - $_szalias";

$errmsg = "";

if ($step=="0" ) {
	
	require_once $incpath."contents/reg_01.php";

} 
if ($step=="1") {
    
           if(isset($_SESSION['usrparams']) && $_SESSION['usrparams']!="")
            {
                $a_usrparams = unserialize($_SESSION['usrparams']);
                extract($a_usrparams);
                if(isset($_SESSION['usrfparams']))
                {
                    $a_usrfparams = unserialize($_SESSION['usrfparams']);
                    extract($a_usrfparams);
                }

            } else {
                $usr_email = "";
                $usr_nome  = "";
                $usr_cognome = "";
                $usr_codice = "";
                $usr_telefono = "";
            }
    if(!isset($_SESSION['ukey'])) $_SESSION['ukey'] = md5(uniqid(rand(), true));
    $ukey = $_SESSION['ukey'];
            
    require_once $incpath."contents/reg_02.php";
    
    
} elseif($step==2) {
    
    $a_usrparams = find_post("usr_");
    //$a_usrfparams = find_post("usrf_");

    
    $prosegui = true;
	
	$err = 0;
	
	$idu = -1;
        
        $codeerr = 0;
        
        ##$modreg = '0';
	
	include "./main/contents/ob_default.php";
   
    
    foreach ($a_usrparams as $k => $v){
    	
    	#echo $k. " => ". $v."<br/>";
    	$a_usrparams[$k] = myencodeTxt($v);
        	
        if(isset($ob[$k]))
    	if($v=="" && $ob[$k]=="1") {
    		$err++;
    		$prosegui = false;
    		
    		$errmsg = "Compilare tutti i campi obbligatori";
    	}
    	
    }
     $usrparams = serialize($a_usrparams);  
     extract($a_usrparams);
     
     if(!isset($chk_marketing)) $chk_marketing = '0';
     
     add_log(Date("Y-m-d H:i")." REGISTRAZIONE UTENTE: ".$usrparams."\n");
     add_log(Date("Y-m-d H:i")." Consenso marketing: ".$chk_marketing."\n\n");
     
     /*
    
    foreach ($a_usrfparams as $k => $v){
    	
    	#echo $k. " => ". $v."<br/>";
        
    	$a_usrfparams[$k] = myencodeTxt($v);
    	
        if(isset($ob[$k]))
    	if($v=="" && $ob[$k]=="1") {
    		$err++;
    		$prosegui = false;
    		
    		$errmsg = "Compilare tutti i campi obbligatori";
    	}
    	
    }
    $usrfparams = serialize($a_usrfparams);    
     extract($a_usrfparams);
     add_log(Date("Y-m-d H:i")." REGISTRAZIONE UTENTE: ".$usrfparams."\n\n");
    */
     
    $_SESSION['usrparams'] = $usrparams;
    #$_SESSION['usrfparams'] = $usrfparams;
    
    
    if($chk_condizioni !='1' )#
    {
    	
    	$prosegui = false;
        $err++;

    	$errmsg .= "<br/>Accettarre le condizioni sulla privacy";
        
    }
    
    $usr_email = strtolower(trim($usr_email));
    if (filter_var($usr_email, FILTER_VALIDATE_EMAIL)) {
     
    } else {
       $prosegui = false;
        $err++;

    	$errmsg .= "<br/>Inserire un indirizzo email valido.";
    }
    if(isset($usr_codice))
    {
        $sql = "SELECT * FROM t_codici WHERE codice='$usr_codice' ";
        $mydb->DOSelect($sql);
        if(($rc=$mydb->GetRow()))
        {
            if($rc['attivo']=='0' || $rc['data_usato']!="") {

                    $prosegui = false;
                    $err++;
                
                $errmsg .= "<br/>Il codice inserito non può essere utilizzato";
                    
            } else {
                
            }
        } else {
            
            $prosegui = false;
            $err++;
                
            $errmsg .= "<br/>Il codice inserito non è valido";
            
        }
    }

    if($prosegui) {
    
    	
    	//controllo unicit� email
    	$usr_username = $a_usrparams["usr_".$_field_username];
    	
    	$sql = "SELECT COUNT(*) as n FROM $tbl_utenti WHERE (username ='$usr_username' OR email='$usr_username')  AND cancellato='0'";#AND level <= $MAXUSERSLEVEL
    	$mydb->DoSelect($sql);
    	$r = $mydb->GetRow();
    	
    	$n = $r['n'];
    	
    	if($n > 0){
    		
    		
    	    $prosegui = false;
    		
    		$err++;
    		
    		$errmsg = $lang['errore_email_esistente'];
                    		
    		$codeerr = 1;
    		
    		$step=1;
    	} 
    	//controllo unicit� cf
    	
    	/*
         * $usr_cf = strtoupper($usr_cfiscale);
    	$sql = "SELECT COUNT(*) FROM $tbl_utenti WHERE cf ='$usr_cf' AND level = 2 AND cancellato='0'";
    	$mydb->DoSelect($sql);
    	$r = $mydb->GetRow();
    	
    	$n = $r[0];
    	
    	//debug 
    	if($n > 0 && $usr_cf!="CHLMNL69D17C886W" && $language=="it"){
    		
    		$prosegui = false;
    		
    		$err++;
    		
    		$errmsg = "Il codice fiscale inserito &egrave; gi&agrave; presente nei nostri archivi.";
    		
    	} 
    	
    	$sql = "SELECT COUNT(*) FROM t_utenti2 WHERE piva ='$usrf_piva'  AND cancellato='0'";
    	$mydb->DoSelect($sql);
    	$r = $mydb->GetRow();
    	
    	$n = $r[0];
    	
    	
    	if($n > 0)# && $language=="it"
            {
    		
    		$prosegui = false;
    		
    		$err++;
    		
    		$errmsg = "La Partita IVA inserita &egrave; gi&agrave; presente nei nostri archivi.";
    		
    		$codeerr = 2;
    		
    	}
        
        if($tiporeg==1 && $usrf_piva!="" && 0)//NON FUNZIONA PERCHE' I DATI DI FATTURAZIONE SONO SU AZIENDE_FATT
        {
        
         $sql = "SELECT COUNT(*) FROM $tbl_aziende_anag as  ta, $tbl_aziende as tu WHERE ta.id_utenti_anag = tu.id_utentihs AND ta.piva ='$usrf_piva'  AND tu.cancellato='0'";
    	$mydbG->DoSelect($sql);
    	$r = $mydbG->GetRow();
    	
    	$n = $r[0];
    	
    	
    	if($n > 0)# && $language=="it"
            {
    		
    		$prosegui = false;
    		
    		$err++;
    		
    		$errmsg = "La Partita IVA inserita &egrave; gi&agrave; presente nei nostri archivi.";
    		
    		$codeerr = 2;
    		
    	}
        }
        */
    }
    if($err==0) require_once $incpath."contents/reg_savedata.php";
    else {
        $step=1;
        require_once $incpath."contents/reg_02.php";
    }
    
} 

?>


<? } ?>

</div>